Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ACEXML_Attribute Class Reference

ACEXML_Attribute defines the data structure of an attribute. More...

`#include <ACEXML/common/AttributesImpl.h>`

List of all members.

## Public Member Functions
| ACEXML_Attribute (void)
| Default constructor.
| ACEXML_Attribute (const ACEXML_Attribute &attr)
| Copy constructor.
| ACEXML_Attribute (const ACEXML_Char *uri, const ACEXML_Char *localName, const ACEXML_Char *qName, const ACEXML_Char *type, const ACEXML_Char *value)
| Initialize all constructor.
| ~ACEXML_Attribute (void)
| Destructor.
void | setAttribute (const ACEXML_Char *uri, const ACEXML_Char *localName, const ACEXML_Char *qName, const ACEXML_Char *type, const ACEXML_Char *value)
| Set all members.
const ACEXML_Char * | uri (void) const
| Get uri_.
void | uri (const ACEXML_Char *uri)
| Set uri_.
const ACEXML_Char * | localName (void) const
| Get localName_.
void | localName (const ACEXML_Char *localName)
| Set localName_.
const ACEXML_Char * | qName (void) const
| Get qName_.
void | qName (const ACEXML_Char *qName)
| Set qName_.
const ACEXML_Char * | type (void) const
| Get type_.
void | type (const ACEXML_Char *type)
| Set type_.
const ACEXML_Char * | value (void) const
| Get value_.
void | value (const ACEXML_Char *value)
| Set value_.
ACEXML_Attribute & | operator= (const ACEXML_Attribute &rhs)
| Assignment operator.
bool | operator!= (const ACEXML_Attribute &rhs) const
| Comparison operator.
## Private Attributes
ACEXML_Char * | uri_
| Namespace URI of an attribute.
ACEXML_Char * | localName_
ACEXML_Char * | qName_
ACEXML_Char * | type_
ACEXML_Char * | value_
## Friends
class | ACEXML_AttributesImpl

## Detailed Description

ACEXML_Attribute defines the data structure of an attribute.

See also:
  ACEXML_AttributesImpl

## Constructor & Destructor Documentation

ACEXML_INLINE ACEXML_Attribute::ACEXML_Attribute | ( | void |  | ) |

| Default constructor.

ACEXML_INLINE ACEXML_Attribute::ACEXML_Attribute | ( | const ACEXML_Attribute & | attr | ) |

| Copy constructor.

ACEXML_INLINE ACEXML_Attribute::ACEXML_Attribute | ( | const ACEXML_Char * | uri,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | const ACEXML_Char * | type,
|  | const ACEXML_Char * | value
| ) |

| Initialize all constructor.

ACEXML_INLINE ACEXML_Attribute::~ACEXML_Attribute | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACEXML_INLINE void ACEXML_Attribute::localName | ( | const ACEXML_Char * | localName | ) |

| Set localName_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::localName | ( | void |  | ) | const

| Get localName_.

ACEXML_INLINE bool ACEXML_Attribute::operator!= | ( | const ACEXML_Attribute & | rhs | ) | const

| Comparison operator.

ACEXML_INLINE ACEXML_Attribute & ACEXML_Attribute::operator= | ( | const ACEXML_Attribute & | rhs | ) |

| Assignment operator.

ACEXML_INLINE void ACEXML_Attribute::qName | ( | const ACEXML_Char * | qName | ) |

| Set qName_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::qName | ( | void |  | ) | const

| Get qName_.

ACEXML_INLINE void ACEXML_Attribute::setAttribute | ( | const ACEXML_Char * | uri,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | const ACEXML_Char * | type,
|  | const ACEXML_Char * | value
| ) |

| Set all members.

ACEXML_INLINE void ACEXML_Attribute::type | ( | const ACEXML_Char * | type | ) |

| Set type_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::type | ( | void |  | ) | const

| Get type_.

ACEXML_INLINE void ACEXML_Attribute::uri | ( | const ACEXML_Char * | uri | ) |

| Set uri_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::uri | ( | void |  | ) | const

| Get uri_.

ACEXML_INLINE void ACEXML_Attribute::value | ( | const ACEXML_Char * | value | ) |

| Set value_.

ACEXML_INLINE const ACEXML_Char * ACEXML_Attribute::value | ( | void |  | ) | const

| Get value_.

## Friends And Related Function Documentation

friend class ACEXML_AttributesImpl`[friend]`

## Member Data Documentation

ACEXML_Char* ACEXML_Attribute::localName_`[private]`

ACEXML_Char* ACEXML_Attribute::qName_`[private]`

ACEXML_Char* ACEXML_Attribute::type_`[private]`

ACEXML_Char* ACEXML_Attribute::uri_`[private]`

| Namespace URI of an attribute.

ACEXML_Char* ACEXML_Attribute::value_`[private]`

The documentation for this class was generated from the following files:

- AttributesImpl.h
- AttributesImpl.i